Author: wookey
Date: 2007-07-12 18:25:38 +0100 (Thu, 12 Jul 2007)
New Revision: 204
Modified:
balloon/trunk/initrd/configurator.patch
Log:
change name to use debianrootfs.tgz
Modified: balloon/trunk/initrd/configurator.patch
===================================================================
--- balloon/trunk/initrd/configurator.patch 2007-07-12 14:17:33 UTC (rev 203)
+++ balloon/trunk/initrd/configurator.patch 2007-07-12 17:25:38 UTC (rev 204)
@@ -3,8 +3,8 @@
Index: buildroot/target/generic/target_skeleton_balloon3_installer/usr/bin/setup
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ buildroot/target/generic/target_skeleton_balloon3_installer/usr/bin/setup 2007-07-04 00:52:39.000000000 +0100
-@@ -0,0 +1,199 @@
++++ buildroot/target/generic/target_skeleton_balloon3_installer/usr/bin/setup 2007-07-12 16:33:46.000000000 +0100
+@@ -0,0 +1,192 @@
+#!/bin/sh
+
+######################################
@@ -18,10 +18,8 @@
+modprobe ohci-hcd
+echo "adding usb storage support"
+modprobe usb-storage
-+echo "adding vfat and support"
-+modprobe vfat
-+echo "adding ext2/3 and support"
-+modprobe ext2
++echo "adding vfat and ext2 support"
++modprobe vfat ext2
+
+# make sure partitions are mounted
+
@@ -69,7 +67,7 @@
+
+# clear and install partitions from memory stick
+if [ -f /mnt/sda1/zImageBoot ]; then
-+echo -e "install kernel to boot partition (y/n)? "
++echo -e "install kernel to boot partition (Y/n)? "
+read yn
+case "$yn" in
+ y)
@@ -83,10 +81,13 @@
+ echo "kernel install skipped"
+ ;;
+esac
++else
++ echo "no kernel found"
++# exit 1
+fi
+
-+if [ -f /mnt/sda1/debootstrap-etch-arm-shrunk.tgz ]; then
-+echo -e "install shrunk etch to root partition (y/n)? "
++if [ -f /mnt/sda1/debianroot.tgz ]; then
++echo -e "install debian rootfs to root partition (Y/n)? "
+read yn
+case "$yn" in
+ y)
@@ -94,41 +95,23 @@
+ echo "clearing root (may take a while)"
+ rm -R /mnt/root/* >/dev/null 2>&1
+ echo "done"
-+ echo "installing etch (may take a while)"
++ echo "installing debian rootfs (may take a while)"
+ cd /mnt/root
-+ tar xvzf /mnt/sda1/debootstrap-etch-arm-shrunk.tgz
++ tar xvzf /mnt/sda1/debianroot.tgz
+ cd /mnt
+ echo "done"
+ ;;
+ *)
-+ echo "shrunk etch install skipped"
++ echo "debian rootfs install skipped"
+ ;;
+esac
++else
++ echo "no debian rootfs found"
++# exit 1
+fi
+
-+if [ -f /mnt/sda1/debootstrap-etch-arm-patched.tgz ]; then
-+echo -e "install patched etch to root partition (y/n)? "
-+read yn
-+case "$yn" in
-+ y)
-+ cd /mnt
-+ echo "clearing root (may take a while)"
-+ rm -R /mnt/root/* >/dev/null 2>&1
-+ echo "done"
-+ echo "installing patched etch (may take a while)"
-+ cd /mnt/root
-+ tar xvzf /mnt/sda1/debootstrap-etch-arm-patched.tgz
-+ cd /mnt
-+ echo "done"
-+ ;;
-+ *)
-+ echo "patched etch install skipped"
-+ ;;
-+esac
-+fi
-+
+if [ -f /mnt/sda1/modules.tgz ]; then
-+echo -e "install kernel modules to etch (y/n)? "
++echo -e "install kernel modules to etch (Y/n)? "
+read yn
+case "$yn" in
+ y)
@@ -142,13 +125,16 @@
+ echo "kernel modules install skipped"
+ ;;
+esac
++else
++ echo "no kernel modules found"
++# exit 1
+fi
+
+defaults_installed = NONE
+
+if [ "$defaults_installed" = "NONE" ]; then
+if [ -f /mnt/sda1/cued_defaults.tgz ]; then
-+echo -e "install CUED defaults to etch (y/n)? "
++echo -e "install CUED defaults to etch (Y/n)? "
+read yn
+case "$yn" in
+ y)
@@ -163,7 +149,11 @@
+ echo "CUED defaults skipped"
+ ;;
+esac
++else
++ echo "no CUED defaults found"
++ exit 1
+fi
++fi
+
+if [ "$defaults_installed" = "NONE" ]; then
+if [ -f /mnt/sda1/tcl_defaults.tgz ]; then
@@ -182,6 +172,9 @@
+ echo "TCL defaults skipped"
+ ;;
+esac
++else
++ echo "no TCL defaults found"
++ exit 1
+fi
+fi
+